%?mingw_package_header

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-atk
Version:        2.20.0
Release:        %mkrel 1
Summary:        MinGW Windows Atk library

License:        LGPLv2+
Group:          Development/Other 
URL:            http://projects.gnome.org/accessibility/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/atk/%{release_version}/atk-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glib2

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-glib2

BuildRequires:  pkgconfig
# Need native one too for msgfmt
BuildRequires:  gettext
# Need native one too for  glib-genmarshal
BuildRequires:  glib2-devel


%description
MinGW Windows Atk library.


# Win32
%package -n mingw32-atk
Summary:        MinGW Windows Atk library
Requires:       pkgconfig

%description -n mingw32-atk
MinGW Windows Atk library.

%package -n mingw32-atk-static
Summary:        Static version of the MinGW Windows Atk library
Requires:       mingw32-atk = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-atk-static
Static version of the MinGW Windows Atk library.

# Win64
%package -n mingw64-atk
Summary:        MinGW Windows Atk library
Requires:       pkgconfig

%description -n mingw64-atk
MinGW Windows Atk library.

%package -n mingw64-atk-static
Summary:        Static version of the MinGW Windows Atk library
Requires:       mingw64-atk = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-atk-static
Static version of the MinGW Windows Atk library.


%?mingw_debug_package


%prep
%setup -q -n atk-%{version}


%build
%mingw_configure --enable-static --enable-shared
%mingw_make %{?_smp_mflags}


%install
%mingw_make install "DESTDIR=$RPM_BUILD_ROOT"

# Native Fedora package removes this file, so we do the same.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/charset.alias
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/charset.alias

# Documentation duplicates what is in the native Fedora package.
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

# Remove this file, only used while creating the DLL.
# See: https://bugzilla.redhat.com/show_bug.cgi?id=467409#c8
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/atk-1.0.def
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/atk-1.0.def

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%mingw_find_lang atk10


# Win32
%files -n mingw32-atk -f mingw32-atk10.lang
%license COPYING
%{mingw32_bindir}/libatk-1.0-0.dll
%{mingw32_includedir}/atk-1.0
%{mingw32_libdir}/libatk-1.0.dll.a
%{mingw32_libdir}/pkgconfig/atk.pc

%files -n mingw32-atk-static
%{mingw32_libdir}/libatk-1.0.a

# Win64
%files -n mingw64-atk -f mingw64-atk10.lang
%license COPYING
%{mingw64_bindir}/libatk-1.0-0.dll
%{mingw64_includedir}/atk-1.0
%{mingw64_libdir}/libatk-1.0.dll.a
%{mingw64_libdir}/pkgconfig/atk.pc

%files -n mingw64-atk-static
%{mingw64_libdir}/libatk-1.0.a

  


%changelog
* Thu Apr 07 2016 tv <tv> 2.20.0-1.mga6
+ Revision: 999146
- new release

* Tue Apr 05 2016 tv <tv> 2.18.0-1.mga6
+ Revision: 998595
- new release

* Mon Feb 08 2016 umeabot <umeabot> 2.10.0-4.mga6
+ Revision: 945564
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.10.0-3.mga5
+ Revision: 742463
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.0-2.mga5
+ Revision: 682406
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 ovitters <ovitters> 2.10.0-1.mga5
+ Revision: 582764
- new version 2.10.0

* Sat Oct 19 2013 umeabot <umeabot> 2.9.4-2.mga4
+ Revision: 536322
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.9.4-1.mga4
+ Revision: 483391
- imported package mingw-atk

